%global momorel 4
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global autodir /var/lib/auctex

Summary: A much enhanced LaTeX mode for Emacsen
Name: elisp-auctex
Version: 11.55
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source0: http://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.tar.gz
Nosource: 0
Source1: auctex.el
Patch0: auctex-momonga.patch
URL: http://www.gnu.org/software/auctex/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
Requires: emacsen

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%package -n auctex-emacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n auctex-emacs
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%package -n auctex-xemacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n auctex-xemacs
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%prep
%setup -q -n auctex-%{version}
%patch0 -p1 -b .ja

rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{e_sitedir}
mkdir -p %{buildroot}%{xe_sitedir}
mkdir -p %{buildroot}%{sitepdir}/info

AUCTeXInstall() {
  if [ "$1" = emacs ]; then
      %configure --with-emacs \
          --with-lispdir=%{e_sitedir} --with-auto-dir=%{autodir}
      make lisp contrib
      make DESTDIR=%{buildroot} install install-contrib
  elif [ "$1" = xemacs ]; then
      %configure --with-xemacs \
          --with-lispdir=%{xe_sitedir} --with-auto-dir=%{autodir} \
          --infodir=%{sitepdir}/info
      make lisp contrib
      make DESTDIR=%{buildroot} install install-contrib
  fi
}

AUCTeXInstall emacs
AUCTeXInstall xemacs

%install
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{sitepdir}/info/dir

%clean
rm -rf %{buildroot}

%post -n auctex-emacs
install-info %{_infodir}/auctex.* %{_infodir}/dir --section="Emacs"

%preun -n auctex-emacs
if [ "$1" = 0 ]; then
    install-info --delete %{_infodir}/auctex.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING ChangeLog INSTALL README RELEASE TODO
%{_datadir}/config-sample/%{name}/auctex.el
/var/lib/auctex

%files -n auctex-emacs
%defattr(-,root,root)
%{e_sitedir}/auctex
%{e_sitedir}/tex-site.el
%{_infodir}/*

%files -n auctex-xemacs
%defattr(-,root,root)
%{xe_sitedir}/auctex
%{xe_sitedir}/tex-site.el
%{sitepdir}/info/*

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (11.55-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (11.55-3m)
- use %%{xe_sitedir}, %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-2m)
- rebuild against emacs 22.0.50

* Thu Feb 10 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (11.55-1m)
- version up

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (11.14-2m)
- rebuild against emacs-21.3.50

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (11.14-1m)
- verup

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.11-4m)
- rebuild against emacs-21.3

* Tue Dec 24 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (11.11-3m)
- change upstream URL ([Momonga-devel.ja:01123] thanks, SIVA)

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (11.11-2k)
- version up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (10.0g-12k)
- /sbin/install-info -> info in PreReq.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (10.0g-10k)
- rebuild against emacs-21.2

* Sun Nov 18 2001 Kenta MURATA <muraken2@nifty.com>
- (10.0g-8k)
- add auctex.el for config-sample
- auctex-kondara.patch

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (elisp-auctex-10.0g-6k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-auctex-10.0g-4k)
- merge auctex-emacs and auctex-xemacs

* Tue Jul 17 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.0g-2k)
- import to 2.0
- use %{_tmppath} macro
- add Makefile patch

* Mon Jul 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (10.0g-3k)
- updated to 10.0g

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (9.10t-3k)
- modify specfile (License)
- modify %post and %preun
- modify %doc

* Wed Oct 18 2000 Toshiro HIKITA <toshi@sodan.org>
- (9.10t-1k)
- imported from 9.9p-2mdk of Mandarake
- Kondarize, adopt to Specfile Gaidance
- updated to 9.10t

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 9.9p-2mdk
- mandrake adaptation
- cleanup

* Fri Jul 10 1998 W.L. Estes <wlestes@wlestes.uncg.edu>
- build root now used
- cleaned up file list
- fixed url tag
- added CHANGES and ChangeLog to doc files
- now requires emacs >= 20
- added \%clean
- misc spec file cosmetic cleanups

 *Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
 - initial revision for auctex 9.8l
